> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/ru/api-documentation/customer/add-addresses-to-a-customer.md).

# Добавить адреса к клиенту

## Bind multiple addresses to customer

> Batch bind imported addresses to a customer. If the specified customer ID does not exist, it will be created automatically.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"Customer","description":"Customer profile and association APIs."}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"Production server"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"CustomerAddAddress":{"type":"object","required":["address","chainId"],"properties":{"address":{"type":"string","description":"The address to be added."},"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."}}},"CustomerAddAddressResult":{"type":"object","properties":{"address":{"type":"string","description":"The address to be added."},"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"status":{"type":"integer","description":"The error status code indicating the reason for failure. - 1: Address not found (not imported or screened) - 2: Already bound to a customer"}}}}},"paths":{"/customers/{customer_id}/addresses":{"post":{"tags":["Customer"],"parameters":[{"name":"customer_id","in":"path","required":true,"schema":{"type":"string"},"description":"The customer ID from your own system. If this customer ID does not exist yet, it will be created automatically."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"addresses":{"type":"array","description":"The list of addresses to be added to the customer of specific customer_id.","items":{"$ref":"#/components/schemas/CustomerAddAddress"}}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"The status code of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"msg":{"type":"string","description":"The message of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"data":{"type":"object","properties":{"customerId":{"type":"string","description":"The ID of the customer."},"addressCount":{"type":"integer","description":"The number of addresses added to this customer."},"addedAddresses":{"type":"array","description":"The list of addresses that have been added.","items":{"$ref":"#/components/schemas/CustomerAddAddress"}},"failed":{"type":"array","description":"The list of addresses that failed to be added.","items":{"$ref":"#/components/schemas/CustomerAddAddressResult"}}}}}}}}}},"description":"Batch bind imported addresses to a customer. If the specified customer ID does not exist, it will be created automatically.","summary":"Bind multiple addresses to customer"}}}}
```
